3 Replies Latest reply on Jan 18, 2013 10:41 AM by Marek

    SQL2008 R2 SP2 Support

    LDave

      Hi everyone,

      I would like to know if Orion (we currently have NPM+NTA+SAM and NCM) supports SQL 2008 R2 SP2.

       

      If I look to the requirements in the admin guide for NPM (both pdf and online) it says:

      - SQL Server 2008 R2 (without SP, SP1, or SP2) Express, Standard, or Enterprise

      so it seems that none of the SP is supported.

       

      But then again, after just 2 rows it says this:

      - The FullWithSQL NPM installer package automatically installs SQL Server 2008 R2 SP1 Express

       

      Which is a bit in contrast with what's written above.

       

      What is the exact level of support for SQL Server 2008? We are planning to bring our SQL 2008 to SP2 Cumulative Update 1, is anyone at that level of patching without problems?

       

      Thank you.

        • Re: SQL2008 R2 SP2 Support
          RichardLetts

          We are running  NPM+NTA+UDT+IPAM+NCM against  SQL 2008 Enterprise R2 SP2.

          1 of 1 people found this helpful
          • Re: SQL2008 R2 SP2 Support
            Marek

            For what it's worth... While perhaps it's worded poorly or atypical, the line you reference for listing supported (or not) versions of the database, "SQL Server 2008 R2 (without SP, SP1, or SP2) Express, Standard, or Enterprise" along with the heading "SolarWinds supports the following versions, with latest service packs" - Is actually saying NPM (at least v10.3/10.4) works with all three variants.

             

            In other words, it DOES work with:

            SQL Server 2008 R2

            SQL Server 2008 R2 /w SP1

            SQL Server 2008 R2 /w SP2

             

            Placing it all as one line with the 'without' does make it a little confusing - Would have been more clear to simply say: SQL Server 2008 R2 (including SP1 or SP2).

             

            Hope that helps.